package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("email_type_rule")
public class EmailTypeRuleDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 净值类型识别规则(多个以英文逗号隔开)
     */
    @TableField(value = "nav")
    private String nav;
    /**
     * 估值表类型识别规则(多个以英文逗号隔开)
     */
    @TableField(value = "valuation")
    private String valuation;
    /**
     * 报告类型识别规则(多个以英文逗号隔开)
     */

    /**
     * 月度报告类型识别规则(多个以英文逗号隔开)
     */
    @TableField(value = "month_report")
    private String monthReport;
    /**
     * 季度报告类型识别规则(多个以英文逗号隔开)
     */
    @TableField(value = "quarter_report")
    private String quarterReport;
    /**
     * 年度报告类型识别规则(多个以英文逗号隔开)
     */
    @TableField(value = "year_report")
    private String yearReport;
    /**
     * 基金合同(多个以英文逗号隔开)
     */
    @TableField(value = "contract")
    private String contract;
    /**
     * 分红公告(多个以英文逗号隔开)
     */
    @TableField(value = "distribution")
    private String distribution;
    /**
     * 变更公告(多个以英文逗号隔开)
     */
    @TableField(value = "change_report")
    private String changeReport;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}